馃悵 Nowa wersja 0.108.9 wydana

Wersja 0.108.9 wydana :heart_eyes_cat:

Wszystko podsumowane i opisane na blogu - zapraszamy do lektury:

Spieszcie si臋 z aktualizacj膮, bo na alfa mamy ju偶 0.109 i za kilka dni b臋dzie 0.109 beta :wink:

2 polubienia

Zd膮偶y艂em zaktualizowa膰 zanim jeszcze opis pojawi艂 si臋 tutaj :wink:
Wszystko gra jak na razie :slight_smile:

2 polubienia

艢miga a偶 mi艂o


Teraz idzie zigbee

1 polubienie

Aktualizacja zrobiona. Wszystko ok :muscle: :clap:
Ale Koronawirus dalej wraca po usuni臋ciu integracji :stuck_out_tongue_winking_eye:
Oczywi艣cie to uwaga do HA a nie AIS

1 polubienie

Dwie sprawy:

  1. Mam problem z edytowaniem interfejsu Lovelace. Podczas edytowania/dodawania karty nie moge skorzystac z edytora wizualnego, tylko edycja kodu yaml. Wyswietlany blad:

ChunkLoadError: Loading chunk 68 failed. (error: http://192.168.31.180:8180/frontend_latest/chunk.88496d130bcba4558b21.js)
Niestety, polecenie find nie znajduje pliku chunk*.*. Wujek Google sugeruje wyczyszczenie folderu /config/.storage. Czy moge zalozyc ze folder AIS/.storage to odpowiednik config/.storage? :slight_smile:

  1. Przy sprawdzaniu aktualizacji nie mam osobnej sekcji zigbee, mam tylko sekcje Asystent domowy, Android, Linux

  2. Dodatkowy problem - nie moge wyswietlic profilu uzytkownika. Klikniecie w ikonke z w lewym dolnym rogu wyswietla pusta strone z tekstem Error while loading page profile

@badzio - masz nieaktualny frontend - pami臋taj, 偶e po aktualizacji zazwyczaj trzeba wyczy艣ci膰 cache przegl膮darki:

Aktualna wersja frontend to:

Pomoglo, dzieki :slight_smile:

Dzi臋kuj臋. Aktualizacja przebieg艂a pomy艣lnie. Logi 偶adnych istotnych b艂臋d贸w nie pokazuj膮. Jedynie Lista zakup贸w wr贸ci艂a do poprzedniego ustawienia w por贸wnaniu do ostatniej bety i zapisuje si臋 zn贸w do zamkni臋tego, chronionego has艂em katalogu w shoppinglist.google.com asystenta. Dla mnie mog艂oby tak zosta膰 bo zar贸wno asystent jak i Jolka odczytuj膮 t膮 list臋 poprawnie, przy czym Jolka wykazuje tu typowe cechy kobiece - ta艅sze pozycje dubluj膮c a dro偶sze i m臋skie, powiedzmy powy偶ej miliona z艂 zapisuje pojedynczo. Bez w膮tpienia wykazuje tu zapewne zamierzone cechy AI ( artificial intelligence) st膮d nazwa AIS.

Mam pytanie odno艣nie b艂臋d贸w recordera - gdzie szuka膰 przyczyny?

Szczeg贸艂y loga (ERROR)
Logger: aiohttp.server
Source: components/recorder/__init__.py:719
First occurred: 19:27:27 (2 occurrences)
Last logged: 19:27:28

Error handling request
Traceback (most recent call last):
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 2285, in _wrap_pool_connect
    return fn()
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/pool/base.py", line 363, in connect
    return _ConnectionFairy._checkout(self)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/pool/base.py", line 773, in _checkout
    fairy = _ConnectionRecord.checkout(pool)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/pool/base.py", line 492, in checkout
    rec = pool._do_get()
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/pool/impl.py", line 238, in _do_get
    return self._create_connection()
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/pool/base.py", line 308, in _create_connection
    return _ConnectionRecord(self)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/pool/base.py", line 437, in __init__
    self.__connect(first_connect_check=True)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/pool/base.py", line 664, in __connect
    pool.dispatch.connect(self.connection, self)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/event/attr.py", line 261, in __call__
    fn(*args, **kw)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/homeassistant/components/recorder/__init__.py", line 719, in set_sqlite_pragma
    cursor.execute("PRAGMA journal_mode=WAL")
sqlite3.OperationalError: database is locked

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/aiohttp/web_protocol.py", line 418, in start
    resp = await task
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/aiohttp/web_app.py", line 458, in _handle
    resp = await handler(request)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/aiohttp/web_middlewares.py", line 119, in impl
    return await handler(request)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/homeassistant/components/http/real_ip.py", line 39, in real_ip_middleware
    return await handler(request)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/homeassistant/components/http/ban.py", line 72, in ban_middleware
    return await handler(request)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/homeassistant/components/http/auth.py", line 127, in auth_middleware
    return await handler(request)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/homeassistant/components/http/view.py", line 123, in handle
    result = await result
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/homeassistant/components/history/__init__.py", line 348, in get
    significant_changes_only,
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/homeassistant/components/history/__init__.py", line 86, in get_significant_states
    for state in execute(query)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/homeassistant/components/recorder/util.py", line 66, in execute
    row for row in (row.to_native() for row in qry) if row is not None
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/orm/query.py", line 3403, in __iter__
    return self._execute_and_instances(context)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/orm/query.py", line 3425, in _execute_and_instances
    querycontext, self._connection_from_session, close_with_result=True
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/orm/query.py", line 3440, in _get_bind_args
    mapper=self._bind_mapper(), clause=querycontext.statement, **kw
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/orm/query.py", line 3418, in _connection_from_session
    conn = self.session.connection(**kw)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/orm/session.py", line 1133, in connection
    execution_options=execution_options,
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/orm/session.py", line 1139, in _connection_for_bind
    engine, execution_options
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/orm/session.py", line 432, in _connection_for_bind
    conn = bind._contextual_connect()
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 2251, in _contextual_connect
    self._wrap_pool_connect(self.pool.connect, None),
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 2289, in _wrap_pool_connect
    e, dialect, self
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1555, in _handle_dbapi_exception_noconnection
    sqlalchemy_exception, with_traceback=exc_info[2], from_=e
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/util/compat.py", line 178, in raise_
    raise exception
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 2285, in _wrap_pool_connect
    return fn()
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/pool/base.py", line 363, in connect
    return _ConnectionFairy._checkout(self)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/pool/base.py", line 773, in _checkout
    fairy = _ConnectionRecord.checkout(pool)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/pool/base.py", line 492, in checkout
    rec = pool._do_get()
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/pool/impl.py", line 238, in _do_get
    return self._create_connection()
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/pool/base.py", line 308, in _create_connection
    return _ConnectionRecord(self)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/pool/base.py", line 437, in __init__
    self.__connect(first_connect_check=True)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/pool/base.py", line 664, in __connect
    pool.dispatch.connect(self.connection, self)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/sqlalchemy/event/attr.py", line 261, in __call__
    fn(*args, **kw)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/homeassistant/components/recorder/__init__.py", line 719, in set_sqlite_pragma
    cursor.execute("PRAGMA journal_mode=WAL")
sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) database is locked
(Background on this error at: http://sqlalche.me/e/e3q8)

Nie wiem czy to przyczyna nowej wersji ale podczas testowania odtwarzaczy przy muzyce z radia internetowego mog臋 przekierowa膰 d藕wi臋k r贸wnie偶 na wybrane inne odtwarzacze natomiast w przypadku
muzyki ze spotify, youtube czy z pod艂膮czonego dysku zewn臋trznego nie daje si臋 przekierowa膰 d藕wi臋ku na wybrane odtwarzacze jak i wybra膰 z ich pola wyboru 藕r贸d艂a. Czy mo偶e kto艣 przetestowa膰 u siebie i potwierdzi膰 b膮d藕 wykluczy膰 b艂膮d systemowy?
odtw4
odtw3

Kolejne pytanie to kto steruje g艂o艣no艣膰 odtwarzaczy komendami g艂osowymi i w jaki spos贸b oraz do jakiego poziomu g艂o艣no艣ci si臋 da?
Wiem, 偶e w us艂ugach s膮 polecenia media_player.volume_down i up
i za pomoc膮 scen da si臋 je wywo艂a膰. Chodzi mi o polecenie typu 鈥渃iszej o 20%鈥 " g艂o艣niej o 50%" prosz臋 o porad臋.

baza SQLite na karcie albo dysku usb jest uszkodzona, tak si臋 mo偶e sta膰 je偶eli wyci膮gniesz wymienny dysk gdy system pisze do pliku na nim (alblo zrestartujesz urz膮dzenie wyci膮gaj膮c z pr膮du)
usu艅 pliki bazy danych wymiennego dysku i b臋dzie ok,
te pliki to ais.db*

image

ps
je偶eli nie da si臋 usun膮膰, bo pliki s膮 zablokowane to sformatuj wymienny dysk do FAT32

przekierowanie d藕wi臋ku polega na przes艂aniu url do medi贸w (audio/video)
Podobnie jak w chromecast

to co jest wysy艂ane (url) znajduje si臋 w atrybucie wbudowanego odtwarzacza: media_content_id

je偶eli odtwarzacz, do kt贸rego przekierowujesz, jest w stanie odtworzy膰 dane media, to je odtworzy, je偶eli nie to nie :wink:

Spotify wymaga w艂asnego odtwarzacza - media_content_id nie jest normalnym adresem url ale specjalnym adresem kt贸ry rozumie tylko klient spotify. Dlatego nie dzia艂a przekierowanie muzyki ze spotify.

Jeszcze nie ma takich komend wbudowanych. Mo偶esz je doda膰

lub zrobi膰 automatyzacj臋 kt贸r膮 nazwiesz np. 鈥溑歝iszanie鈥 w niej mo偶esz doda膰 to co chcesz zrobi膰 - tak jak opisa艂e艣 us艂ugami a potem uruchamiasz tak膮 automatyzacj臋 komend膮 鈥渦ruchom 艣ciszanie鈥

albo doda膰 scen臋 i uruchomi膰 komend膮 鈥淪cena cisza鈥, 鈥淪cena czytanie ksi膮偶ki鈥 itd鈥

Dzi臋kuj臋, sprawdz臋 :wink:

U mnie nadal nie dzia艂a odtwarzanie Spotify (ale po aktualizacji chocia偶 integracja nie znika), nawet na bramce pod艂膮czonej do TV. Pr贸bowa艂em te偶 pod艂膮czy膰 np. s艂uchawki do AIS ale s艂ycha膰 tylko jaki艣 pisk/szum - nie wiem czy tak jest ok鈥

a czy pr贸bowa艂e艣 kiedy艣 robi膰 to zgodnie z instrukcj膮? :wink:

Mam wra偶enie, 偶e robi艂em to ju偶 dzi臋si膮tki razy, ale dopiero teraz u艣wiadomi艂em sobie, 偶e bez pkt 2 - za艂o偶y艂em, 偶e to bez znaczenia czy zaloguj臋 si臋 na bramce czy na kompie przy dodawaniu integracji :crazy_face: wykona艂em pkt 2 na bramce i dzia艂a :slight_smile: Dzi臋kuj臋!

2 polubienia

to chyba jednak nasz stary b艂膮d :blush:
problemy z integracjami mo偶e powodowa膰 nasza integracja ze Spotify kt贸ra kiedy艣 dodawa艂a si臋 z elementem data typu string i warto艣ci膮 鈥渙k鈥 (bo tak kiedy艣 by艂o w HA ok)
image

Teraz element data to obiekt a nie string i to 鈥渙k鈥 powoduje problemy.

Usu艅 integracj臋 spotify a nast臋pnie dodaj ponownie, po tym problem z usuwaniem (lub znikaniem) innych integracji powinien ust膮pi膰.

  1. usuwamy integracj臋 ze spotify

  2. restart us艂ugi ais
    image

  3. ponowna konfiguracja spotify

po tej akcji w pliku /data/data/pl.sviete.dom/files/home/AIS/.storage/core.config_entries b臋dzie poprawnie:

image

po tym powinno da膰 si臋 usun膮膰 covid-19

Po aktualizacji zauwazylem problem z wyswietlaniem obrazow z kamer:

  • od dluzszego czasu mam karte na ktorej wyswietlam obrazy z wszystkich kamer
  • gdy wchodze w karte podgladu kamer, na poczatku wszystkie kamery sie ladnie laduja
  • po kilku minutach zamiast podgladu z kamer widze pusty ekran (patrz zdjecie ponizej)
  • klikniecie na kamere powoduje wyswietlenie obrazu z kamery, co oznacza ze kamery jako takie sa online
  • problem dotyczy zarowno kamer Wyze jak i Digoo

Przed aktualizacja wszystko smigalo jak nalezy.

image

@jolka oczywi艣cie Twoja szczepiona zadzia艂a艂a,
brawo znalaz艂a艣 szczepionk臋 na COVID-19 :syringe: :ok_hand:

1 polubienie

nadal nie pomaga艂o, dlatego wymieni艂em kart臋 na drug膮 i ust膮pi艂o :wink:

1 polubienie